Summary: Xarchie - X11 browser interface to Archie
Name: xarchie
%ifnarch hppa1.1
%define PREFIX /usr
%define MANXSEC 1
%define MANXEXT 1x
%else
%define PREFIX /jlc/local
%endif
%define version 2.0.10
Version: %{version}
Release: 1a
Copyright: free for non-commercial use
Group: X11/Applications/Networking
Source0: ftp://ftp.u-aizu.ac.jp/pub/x11/X11R6-contrib/utilities/xarchie-%{version}.tar.gz
Patch0: localhost:/xarchie-%{version}-ppc.patch
BuildRoot: /tmp/xarchie-root

%changelog

* Sat Apr 11 1997 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release with HP-UX support

%description
Xarchie is an X11 browser interface to the Archie Internet information
system   using  the  Prospero  virtual  filesystem  protocol.   Archie
provides information about files available for  ftp  anywhere  on  the
Internet;  Xarchie  displays  this  information  using an easy-to-use,
point-and-click interface.  Xarchie allows you to further explore  ftp
sites  by  examining directories returned as query matches, and allows
you to retrieve files located this way.   Xarchie  is  designed  (like
most X applications) to be highly customizable, allowing you to tailor
the look-and-feel of the tool to your own preferences.


%prep
%setup
%ifarch ppc
%patch0 -p1
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/man/man%{MANXSEC}
cd $RPM_BUILD_ROOT%{PREFIX}
ln -s X11R6 X11R6.3

%build
./configure
xmkmf -a
make clean
make Xarchie.ad.h
%ifarch hppa1.1
mv Makefile Makefile.tmp
sed -e 's;RESOLV_LIB = -lresolv;RESOLV_LIB =;' Makefile.tmp > Makefile
%endif
make

%install
install -m 755 -o root -g root -s xarchie $RPM_BUILD_ROOT%{PREFIX}/X11R6/bin
install -m 644 -o root -g root -s Xarchie.ad $RPM_BUILD_ROOT%{PREFIX}/X11R6/lib/X11/app-defaults/Xarchie
install -m 644 -o root -g root -s xarchie.man $RPM_BUILD_ROOT%{PREFIX}/X11R6/man/man%{MANXSEC}/xarchie.%{MANXEXT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* INSTALL* PROBLEMS
%config %{PREFIX}/X11R6/lib/X11/app-defaults/Xarchie
%{PREFIX}/X11R6/bin/xarchie
%{PREFIX}/X11R6/man/man%{MANXSEC}/xarchie.%{MANXEXT}
